<?php
function blocat($str)
{
global$conn,$cod_robot,$perm;
if($perm>1)
return false;
$str=str_ireplace(['\r\n','\n\r','\r','\n','\t','\s','[br/]','/cititor/',$cod_robot],'',$str);
$zambareti=$conn->query('SELECT`scode`FROM`imagini_zambareti`');
while($zambaret=$zambareti->fetch_row())
{
$str=str_replace($zambaret[0],'',$str);
}
$str=preg_replace('/[^a-z0-9]/','',mb_strtolower($str,'UTF-8'));
$cuvinte=$conn->query('SELECT`cuvant`FROM`cuvinte_interzise`');
while($cuvant=$cuvinte->fetch_row())
{
if(mb_substr_count($str,$cuvant[0])>0)
{
define('CUVANT_INTERZIS',$cuvant[0]);
return true;
}
}
return false;
}